package ru.themixray.puton.listener;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryType;
import org.bukkit.inventory.ItemStack;
import ru.themixray.puton.Config;

public class SwapItemListener implements Listener {
    public static final int HELMET_SLOT = 39;
    public static final int CHESTPLATE_SLOT = 40;
    public static final int LEGGINGS_SLOT = 41;
    public static final int BOOTS_SLOT = 42;

    @EventHandler
    public void onInventoryClick(InventoryClickEvent e) {
        ItemStack item = e.getCursor();

        if (e.getSlotType() == InventoryType.SlotType.ARMOR) {
            if (e.getSlot() == HELMET_SLOT && Config.ALLOW_HELMET) {
                e.getWhoClicked().setItemOnCursor(e.getCurrentItem());
                e.getWhoClicked().getInventory().setHelmet(item);
                e.setCancelled(true);
            } else if (e.getSlot() == CHESTPLATE_SLOT && Config.ALLOW_CHESTPLATE) {
                e.getWhoClicked().setItemOnCursor(e.getCurrentItem());
                e.getWhoClicked().getInventory().setHelmet(item);
                e.setCancelled(true);
            } else if (e.getSlot() == LEGGINGS_SLOT && Config.ALLOW_LEGGINGS) {
                e.getWhoClicked().setItemOnCursor(e.getCurrentItem());
                e.getWhoClicked().getInventory().setHelmet(item);
                e.setCancelled(true);
            } else if (e.getSlot() == BOOTS_SLOT && Config.ALLOW_BOOTS) {
                e.getWhoClicked().setItemOnCursor(e.getCurrentItem());
                e.getWhoClicked().getInventory().setHelmet(item);
                e.setCancelled(true);
            }
        }
    }
}
